import request from '@/http/request.js';

// 使用示例： const res = await this.$apis.pubQueryComboxData(data)
// 获取数据源-公共
export const pubQueryComboxData = (data) => {
  return request({
    url: 'pub/pub/queryComboxData.action',
    method: 'post',
    data,
  });
};

// 货币-查询接口
export const queryPage = (data) => {
  return request({
    url: 'pub/pub/queryPage.action',
    method: 'post',
    data,
  });
};

// 公共模块查询历史版本
export const getCompareVersion = (data) => {
  return request({
    url: 'pub/pub/getCompareVersion.action',
    method: 'get',
    data,
  });
};

// 公共模块查询历史版本详细信息
export const compare = (data) => {
  return request({
    url: 'pub/compare.action',
    method: 'post',
    data,
  });
};

// 获取历史版本版本号列表
export const versionsCombox = (data) => {
  return request({
    url: 'pub/pub/versionsCombox.action',
    method: 'post',
    data,
  });
};

// 货币查询id
export const findStaticDataId = (data) => {
  return request({
    url: 'pub/sdsthirdparty/findStaticDataId.action',
    method: 'post',
    data,
  });
};

// 节假日查询
export const queryAll = (data) => {
  return request({
    url: 'pub/pub/queryAll.action',
    method: 'post',
    data,
  });
};

// 公共新增接口
export const pubDoSave = (data) => {
  return request({
    url: 'pub/pub/doSave.action',
    method: 'post',
    data,
  });
};

// 公共编辑接口
export const pubDoUpdate = (data) => {
  return request({
    url: 'pub/pub/doUpdate.action',
    method: 'post',
    data,
  });
};



// 接入数据管理-左侧树形数据
export const getPacketTree = (data) => {
  return request({
    url: 'pub/pub/getPacketTree.action',
    method: 'post',
    data,
  });
};

// 获取数据源-交易对手
export const queryCptyPage1 = (data) => {
  return request({
    url: 'dcs/dcs/queryCptyPage.action',
    method: 'post',
    data: data,
  });
};
